static const char html_js_confpages_start[] PROGMEM = R"=====(
<script>
  function g(i) { return document.getElementById(i) };
  function sp(i){g(i).type=(g(i).type==='text'?'password':'text');}
  var xhttp, reqTime, reqFin;
  function selectElement(el, val) {    
    if(el !== null) {
      el.value = val;
    }
  }
  function setCbx(el, da) {
    if(el !== null) {
      if(da == '1') {
        el.checked = true;
        el.style.visibility = 'visible';
      }
      else {
        el.checked = false;
        el.style.visibility = 'visible';
      }
    }
  }
  function updCbxVal(el) {
    if(el !== null) {
      if (el.checked) el.value = '1';
      else {
        el.checked = true;
      el.value = '0';
        el.style.visibility = 'hidden';
      }
    }
  }
)====="; // html_confweb_script

static const char html_js_confpages_end[] PROGMEM = R"=====(
  function init() {
    transmit();
  }
  setInterval(function () { ++reqTime; }, 1000);
</script>
)====="; // html_confweb_script